summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJohn Bowler <jbowler@nslu2-linux.org>2006-02-06 02:42:55 +0000
committerOpenEmbedded Project <openembedded-devel@lists.openembedded.org>2006-02-06 02:42:55 +0000
commita56f5680381313b9a12a3ba133c5cb7a2154aa67 (patch)
treede6d252a90a1ff8db12b6e9e22aba986f81aa40a
parent54a44b070e7516a04ecaf6d1ed8c05c836a70e1b (diff)
initscripts-slugos: further fixes to checkroot.sh in 1.0
slugos-init: make beep silent, extend single_user_ok function in 0.10
-rw-r--r--packages/initscripts/initscripts-1.0/slugos/checkroot.sh12
-rw-r--r--packages/initscripts/initscripts-slugos_1.0.bb2
-rw-r--r--packages/slugos-init/files/functions2
-rw-r--r--packages/slugos-init/files/leds5
-rw-r--r--packages/slugos-init/slugos-init_0.10.bb2
5 files changed, 16 insertions, 7 deletions
diff --git a/packages/initscripts/initscripts-1.0/slugos/checkroot.sh b/packages/initscripts/initscripts-1.0/slugos/checkroot.sh
index a26b9ffa37..c70855ee43 100644
--- a/packages/initscripts/initscripts-1.0/slugos/checkroot.sh
+++ b/packages/initscripts/initscripts-1.0/slugos/checkroot.sh
@@ -4,6 +4,7 @@
# Version: @(#)checkroot.sh 2.84 25-Jan-2002 miquels@cistron.nl
#
+. /etc/default/functions
. /etc/default/rcS
#
@@ -133,8 +134,15 @@ else
# Start a single user shell on the console
if single_user_ok
then
- sulogin $CONSOLE
- reboot -f
+ sulogin -t 600 $CONSOLE
+ # if this exits with SIGALRM (which happens to be 142) the
+ # timeout happened, do not, then, reboot!
+ if test $? -ne 142
+ then
+ reboot -f
+ else
+ echo "/etc/init.d/checkroot.sh: sulogin timeout, continuing boot"
+ fi
else
echo "/etc/init.d/checkroot.sh: fsck failed, continuing boot"
fi
diff --git a/packages/initscripts/initscripts-slugos_1.0.bb b/packages/initscripts/initscripts-slugos_1.0.bb
index 3219f8883f..df89fd161b 100644
--- a/packages/initscripts/initscripts-slugos_1.0.bb
+++ b/packages/initscripts/initscripts-slugos_1.0.bb
@@ -11,7 +11,7 @@ RCONFLICTS = "initscripts"
# All other standard definitions inherited from initscripts
# Except the PR which is hacked here. The format used is
# a suffix
-PR := "${PR}.7"
+PR := "${PR}.8"
FILESPATH = "${@base_set_filespath([ '${FILE_DIRNAME}/${P}', '${FILE_DIRNAME}/initscripts-${PV}', '${FILE_DIRNAME}/files', '${FILE_DIRNAME}' ], d)}"
diff --git a/packages/slugos-init/files/functions b/packages/slugos-init/files/functions
index df74aea717..78dcf816b3 100644
--- a/packages/slugos-init/files/functions
+++ b/packages/slugos-init/files/functions
@@ -35,7 +35,7 @@ single_user_ok() {
test "$SULOGIN" = yes -o "$SULOGIN" = ok ||
case "$(machine)" in
ixdp*|avila|loft)
- return 0;;
+ test "$SULOGIN" != never;;
*) return 1;;
esac
}
diff --git a/packages/slugos-init/files/leds b/packages/slugos-init/files/leds
index 227ed78ff4..433467b96f 100644
--- a/packages/slugos-init/files/leds
+++ b/packages/slugos-init/files/leds
@@ -169,7 +169,8 @@ sysled(){
#
# beep {arguments}
# emit a beep
-# does nothing if there is no beep executable
+# does nothing if there is no beep executable, is very
+# quiet in the presence of errors
beep(){
local arg
arg=
@@ -177,7 +178,7 @@ beep(){
if test -x /bin/beep
then
test -c /dev/buzzer && arg="-e /dev/buzzer"
- /bin/beep $arg "$@"
+ /bin/beep $arg "$@" 2>/dev/null
fi
return 0
}
diff --git a/packages/slugos-init/slugos-init_0.10.bb b/packages/slugos-init/slugos-init_0.10.bb
index d8376ef2da..ed183b9278 100644
--- a/packages/slugos-init/slugos-init_0.10.bb
+++ b/packages/slugos-init/slugos-init_0.10.bb
@@ -4,7 +4,7 @@ PRIORITY = "required"
LICENSE = "GPL"
DEPENDS = "base-files devio"
RDEPENDS = "busybox devio"
-PR = "r55"
+PR = "r56"
SRC_URI = "file://boot/flash \
file://boot/disk \